Bug 458733 - octave fails to save data, swig_ref error
octave fails to save data, swig_ref error
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: octave (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-11 20:27 EDT by David Rector
Modified: 2009-07-14 13:16 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:16:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Rector 2008-08-11 20:27:42 EDT
Description of problem:

With octave version 3.0.1 and octave-forge and octave-devel loaded, octave always fails with the 'save' command.


Version-Release number of selected component (if applicable):
octave 3.0.1

How reproducible:
always

Steps to Reproduce:
1. yum install octave*
2. start octave
3. save test.dat
  
Actual results:
[dave@hfo3 ~]# octave
GNU Octave, version 3.0.1
Copyright (C) 2008 John W. Eaton and others.
This is free software; see the source code for copying conditions.
There is ABSOLUTELY NO WARRANTY; not even for MERCHANTIBILITY or
FITNESS FOR A PARTICULAR PURPOSE.  For details, type `warranty'.

Octave was configured for "x86_64-redhat-linux-gnu".

Additional information about Octave is available at http://www.octave.org.

Please contribute if you find this software useful.
For more information, visit http://www.octave.org/help-wanted.html

Report bugs to <bug@octave.org> (but first, please read
http://www.octave.org/bugs.html to learn how to write a helpful report).

For information about changes from previous versions, type `news'.

octave:1> save test.dat
error: octave_base_value::save_ascii(): wrong type argument `swig_ref'
octave:1> 


Expected results:
data should save to file

Additional info:

This problem is new to octave 3.0.1

I never had any problem with octave 2.9

Thanks!

Dave Rector
*:^)
Comment 1 Rakesh Pandit 2008-10-23 05:56:40 EDT
may you try to reproduce with latest 3.0.2 and check ?
Comment 2 Rakesh Pandit 2008-10-29 14:49:08 EDT
ping ?
Comment 3 David Rector 2008-10-30 00:01:09 EDT
Sorry,

I can't find an rpm for 3.0.2, and I am having trouble compiling octave.

Do you have a link to an rpm for version 3.0.2?

Thanks!

Dave Rector
*:^)
Comment 4 David Rector 2008-10-30 00:32:11 EDT
OK,

I just found version 3.0.2 in the testing directory.

Same behavior:

[dave@quick Desktop]# octave
GNU Octave, version 3.0.2
Copyright (C) 2008 John W. Eaton and others.
This is free software; see the source code for copying conditions.
There is ABSOLUTELY NO WARRANTY; not even for MERCHANTIBILITY or
FITNESS FOR A PARTICULAR PURPOSE.  For details, type `warranty'.

Octave was configured for "i386-redhat-linux-gnu".

Additional information about Octave is available at http://www.octave.org.

Please contribute if you find this software useful.
For more information, visit http://www.octave.org/help-wanted.html

Report bugs to <bug@octave.org> (but first, please read
http://www.octave.org/bugs.html to learn how to write a helpful report).

For information about changes from previous versions, type `news'.

octave:1> x=1:1000;
octave:2> save -binary test.dat
error: octave_base_value::save_binary(): wrong type argument `swig_ref'
octave:2>
Comment 5 David Rector 2008-10-30 00:39:16 EDT
I am very curious now... Does any one else see this same behavior? Why would it only be me. I perform a very standard installation of Fedora... Have done so on many dozens of different machines with the same result.

Dave Rector
*:^)
Comment 6 Rakesh Pandit 2008-10-30 02:27:18 EDT
I will look into it this weekend.
Thanks,
Comment 7 Bug Zapper 2009-06-09 22:26:05 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 13:16:18 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.